Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZFormRenderer Class Reference

## Public Member Functions
| __construct ( $form="")
& | renderElement ( $element)
& | renderForm ( $form="", $addFormTags=true, $addButtons=true)
| verifyForm ()
| sendForm ()

## Public Attributes
| $Template
| $Form

## Detailed Description

! eZForm eZFormRenderer documentation.

Example code:

Definition at line 49 of file ezformrenderer.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZFormRenderer::__construct | ( |  | $form = `""` | ) |

Constructs a new eZFormRenderer object.

Definition at line 55 of file ezformrenderer.php.

References $form, $GlobalSectionID, $ini, $Language, Template\set_block(), Template\set_file(), and Template\set_var().

## Member Function Documentation

## ◆ renderElement()

& eZFormRenderer::renderElement | ( |  | $element | ) |

Renders the element which are given as an argument based on its type.

Definition at line 125 of file ezformrenderer.php.

References $element, $name, $output, $type, Template\parse(), and Template\set_var().

Referenced by renderForm().

## ◆ renderForm()

& eZFormRenderer::renderForm | ( |  | $form = `""`,
|  |  | $addFormTags = `true`,
|  |  | $addButtons = `true`
| ) |  |

Renders a form

Definition at line 207 of file ezformrenderer.php.

References $element, $elements, $form, $output, $user, eZUser\currentUser(), Template\parse(), renderElement(), and Template\set_var().

## ◆ sendForm()

eZFormRenderer::sendForm | ( |  | ) |

This function will send the form to the recipients.

Definition at line 412 of file ezformrenderer.php.

References $content, $element, $elements, $form, $ini, $Language, $mail, $t, exit, and eZHTTPTool\header().

## ◆ verifyForm()

eZFormRenderer::verifyForm | ( |  | ) |

This function verifies the data from a posted form

Definition at line 339 of file ezformrenderer.php.

References $element, $elements, $errorMessages, $i, $ini, $output, Template\parse(), Template\set_var(), and eZMail\validate().

## Member Data Documentation

## ◆ $Form

eZFormRenderer::$Form

Definition at line 528 of file ezformrenderer.php.

## ◆ $Template

eZFormRenderer::$Template

Definition at line 527 of file ezformrenderer.php.

The documentation for this class was generated from the following file:

- ezformrenderer.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.